Module java.corba
Package org.omg.CORBA

## Class BAD_INV_ORDER

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.omg.CORBA.SystemException
        - - org.omg.CORBA.BAD_INV_ORDER

All Implemented Interfaces:
  Serializable

    public final class BAD_INV_ORDER
    extends SystemException

This exception indicates that the caller has invoked operations in the wrong order. For example, it can be raised by an ORB if an application makes an ORB-related call without having correctly initialized the ORB first.

It contains a minor code, which gives more detailed information about what caused the exception, and a completion status. It may also contain a string describing the exception.

Since:
  JDK1.2
See Also:
  documentation on Java IDL exceptions

### Field Summary

### Fields inherited from class org.omg.CORBA.SystemException

`completed, minor`

### Constructor Summary

Constructors
Constructor and Description
`BAD_INV_ORDER()` Constructs a `BAD_INV_ORDER` exception with a default minor code of 0 and a completion state of COMPLETED_NO.
`BAD_INV_ORDER(int minor, CompletionStatus completed)` Constructs a `BAD_INV_ORDER` exceptionBAD_INV_ORDER with the specified minor code and completion status.
`BAD_INV_ORDER(String s)` Constructs a `BAD_INV_ORDER` exception with the specified detail message, a minor code of 0, and a completion state of COMPLETED_NO.
`BAD_INV_ORDER(String s, int minor, CompletionStatus completed)` Constructs a `BAD_INV_ORDER` exception with the specified detail message, minor code, and completion status.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class org.omg.CORBA.SystemException

`toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Constructor Detail

#### BAD_INV_ORDER

    public BAD_INV_ORDER()

Constructs a `BAD_INV_ORDER` exception with a default minor code of 0 and a completion state of COMPLETED_NO.

#### BAD_INV_ORDER

    public BAD_INV_ORDER(int minor,
                         CompletionStatus completed)

Constructs a `BAD_INV_ORDER` exceptionBAD_INV_ORDER with the specified minor code and completion status.

Parameters:
  `minor` - the minor code
  `completed` - an instance of `CompletionStatus` indicating the completion status

#### BAD_INV_ORDER

    public BAD_INV_ORDER(String s)

Constructs a `BAD_INV_ORDER` exception with the specified detail message, a minor code of 0, and a completion state of COMPLETED_NO.

Parameters:
  `s` - the String containing a detail message

#### BAD_INV_ORDER

    public BAD_INV_ORDER(String s,
                         int minor,
                         CompletionStatus completed)

Constructs a `BAD_INV_ORDER` exception with the specified detail message, minor code, and completion status. A detail message is a String that describes this particular exception.

Parameters:
  `s` - the String containing a detail message
  `minor` - the minor code
  `completed` - the completion status